<?xml version="1.0"?>
<block>
  <name>Energy_Detector</name>
  <key>sprectrum_tools_Energy_Detector</key>
  <category>[sprectrum_tools]</category>
  <import>import sprectrum_tools</import>
  <make>sprectrum_tools.Energy_Detector($samples, $Pfa, $file_ouput)</make>
  <!-- Make one 'param' node for every Parameter you want settable from the GUI.
       Sub-nodes:
       * name
       * key (makes the value accessible as $keyname, e.g. in the make node)
       * type -->
  <param>
    <name>samples</name>
    <key>samples</key>
    <value>1024</value>
    <type>int</type>
  </param>

  <param>
    <name>Pfa</name>
    <key>Pfa</key>
    <value>0.1</value>
    <type>float</type>
  </param>


  <param>
    <name>file_ouput</name>
    <key>file_ouput</key>
    <value>/home/jefferson/Documents/evaluacion/file/data.csv</value>
    <type>string</type>
  </param>
  <!-- Make one 'sink' node per input. Sub-nodes:
       * name (an identifier for the GUI)
       * type
       * vlen
       * optional (set to 1 for optional inputs) -->
  <sink>
    <name>in</name>
    <type>float</type>
    <vlen>$samples</vlen>
  </sink>

  <sink>
    <name>in</name>
    <type>float</type>
    <vlen>$samples</vlen>
  </sink>
  <!-- Make one 'source' node per output. Sub-nodes:
       * name (an identifier for the GUI)
       * type
       * vlen
       * optional (set to 1 for optional inputs) -->
<doc>
</doc>
</block>
